# Uses of Class
org.apache.lucene.codecs.DocValuesConsumer

Packages that use DocValuesConsumer
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.
org.apache.lucene.codecs.perfield
Postings format that can delegate to different formats per-field.

- ## Uses of DocValuesConsumer in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return DocValuesConsumer
  Modifier and Type
  Method
  Description
  `abstract DocValuesConsumer`
  DocValuesFormat.`fieldsConsumer(SegmentWriteState state)`
  Returns a `DocValuesConsumer` to write docvalues to the index.

- ## Uses of DocValuesConsumer in org.apache.lucene.codecs.lucene90

  Methods in org.apache.lucene.codecs.lucene90 that return DocValuesConsumer
  Modifier and Type
  Method
  Description
  `DocValuesConsumer`
  Lucene90DocValuesFormat.`fieldsConsumer(SegmentWriteState state)`

- ## Uses of DocValuesConsumer in org.apache.lucene.codecs.perfield

  Methods in org.apache.lucene.codecs.perfield that return DocValuesConsumer
  Modifier and Type
  Method
  Description
  `final DocValuesConsumer`
  PerFieldDocValuesFormat.`fieldsConsumer(SegmentWriteState state)`